--- mktemp-1.5/mktemp.c.glibc21_compat	Mon Apr  2 20:34:10 2001
+++ mktemp-1.5/mktemp.c	Mon Apr  2 21:01:17 2001
@@ -66,6 +66,51 @@
 	exit(1);
 }
 
+
+
+/* 
+    glibc 2.1 compat-patch,
+    needed for updating RH 6.x (EE) - systems to kernel 2.4,
+    mkdtemp() was introduced with glibc 2.2
+*/
+#include <features.h>
+#if ( __GLIBC__ < 2 ) || ( __GLIBC__ == 2  && __GLIBC_MINOR__ < 2 )
+
+// #include <sys/stat.h>
+// #include <sys/types.h>
+// #include <fcntl.h>
+// #include <unistd.h>    
+
+static char * mkdtemp (char *template)
+{
+    char temp[strlen(template) + 1];
+    int ret;
+
+    while (1) {
+        strcpy(temp, template);
+        if (mktemp(temp) == NULL) {
+            return NULL;
+        }
+        ret = mkdir(temp, 0700);
+        /* success, return the name of the new directory */
+        if (ret == 0) {
+            strcpy(template, temp);
+            return template;
+        }
+        /* failed because directory existed already -- just try again */
+        if ((ret == -1) && (errno == EEXIST))
+            continue;
+        /* failed for any other reason, return the name of the directory we tried to create */
+        strcpy(template, temp);
+        return NULL;
+    }
+}
+
+#endif
+
+
+
+
 int
 main(argc, argv)
 	int argc;
